unit TheExpert;

interface

uses Windows, DummyForm, ExptIntf;

type
    TDemoExpert = class (TIExpert)
    public
        function GetName: String; override;
        function GetAuthor: String; override;
        function GetComment: String; override;
        function GetPage: String; override;
        function GetGlyph: HIcon; override;
        function GetStyle: TExpertStyle; override;
        function GetState: TExpertState; override;
        function GetIDString: String; override;
        function GetMenuText: String; override;
        procedure Execute; override;
    end;

implementation

procedure TDemoExpert.Execute;
begin
    InvokeDummyExpert;
end;
    
function TDemoExpert.GetName: String;
begin
    Result := 'IDE Secrets Demo Expert';
end;

function TDemoExpert.GetAuthor: String;
begin
    Result := 'Dave Jewell';
end;

function TDemoExpert.GetComment: String;
begin
    Result := 'Dave Jewell''s IDE Secrets Demo Expert';
end;

function TDemoExpert.GetPage: String;
begin
    Result := '';
end;

function TDemoExpert.GetGlyph: HIcon;
begin
    Result := 0;
end;

function TDemoExpert.GetStyle: TExpertStyle;
begin
    Result := esStandard;
end;

function TDemoExpert.GetState: TExpertState;
begin
    Result := [esEnabled];
end;

function TDemoExpert.GetIDString: String;
begin
    Result := 'DSJ.IDESecrets.Expert';
end;

function TDemoExpert.GetMenuText: String;
begin
    Result := 'IDE Secrets Demo Expert';
end;

end.

